Subject: Re: Wanted: Aztec C Bugs...err...
From: [email-masked] (Doug Walker)
Date: Mon, 21 Mar 1994 13:45:26 GMT
Newsgroups: comp.sys.amiga.programmer

In article <[email-masked]>, [email-masked] (Stuart Ferguson) writes:
|> +-- [email-masked] (Herbert Schneider CIS ECGxyz) writes:
|> | In article <[email-masked]> [email-masked] (Heinz Wrobel) writes:
|> | > SAS/C is _better_. ;^)
|> | >     - great debugger (though I miss very few nice db/sdb features)
|> |                         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
|> | Can you tell me a bit more of this please?
|> 
|> The oddly named `fu' command.  "Frame Up."  You could set a 
|> breakpoint and then go up the call stack and examine variables
|> in the calling routines.  Very useful.  I've seen no apparent
|> equivalent in CPR, although I would be thrilled to hear that
|> there is one that I haven't found (I'm new to SAS/C).

Check out the "env" command.  It does exactly this.  "env -1" goes
to the environment of your immediate caller, "env -2" to its caller,
etc.  or you can use a function name: "env foofunc".